Bug 1905668 (CVE-2020-29479)

Summary: CVE-2020-29479 xen: oxenstored: permissions not checked on root node (XSA-353)
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jforbes, m.a.young, robinlee.sysu, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-15 22:20:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1908002    
Bug Blocks: 1903644    

Description Guilherme de Almeida Suckevicz 2020-12-08 19:18:42 UTC
In the Ocaml xenstored implementation, the internal representation of
the tree has special cases for the root node, because this node has no
parent.

Unfortunately, permissions were not checked for certain operations on
the root node.

Unprivileged guests can get and modify permissions, list, and delete
the root node.  Deleting the whole xenstore tree is a hostwide denial
of service.  Depending on the circumstances, the vulnerability can
also be leveraged into an ability to gain write access to any part of
xenstore.

Comment 1 Guilherme de Almeida Suckevicz 2020-12-15 16:28:21 UTC
External References:

https://www.openwall.com/lists/oss-security/2020/12/15/13

Comment 2 Guilherme de Almeida Suckevicz 2020-12-15 16:28:46 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1908002]

Comment 3 Product Security DevOps Team 2020-12-15 22:20:04 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.